Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005311TestLinkUsers and Rightspublic2012-10-27 17:172013-11-17 09:53
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005311: Test plan & Test project Config - convert options into rights
DescriptionOption: $tlCfg->testcase_cfg->can_remove_executed
Will become right: testplan_unlink_executed_testcases

Option: $tlCfg->testcase_cfg->can_delete_executed
Will become right: testproject_delete_executed_testcases

$tlCfg->testcase_cfg->can_edit_executed
testproject_edit_executed_testcases
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005310closedfman Execution Config - convert options into rights 

-  Notes
(0018884)
chemchoum (reporter)
2013-05-06 15:45

@Fman
Could you give the SQL instructions to add the above new rights to right table.
Thanks
(0018885)
fman (administrator)
2013-05-06 15:49

you have to get this info for our scripts give a look to sql folder
(0018886)
chemchoum (reporter)
2013-05-06 17:13

I did gave a look before posting at db_schema_update.sql on "..\install\sql\alter_tables\1.9.6\mysql\DB.1.6\step1" but as you see below there are only scripts for the 0005310 issue.
am I get it wrong?

/* new rights */
INSERT INTO /*prefix*/rights (id,description) VALUES (33,'reqmgrsystem_management');
INSERT INTO /*prefix*/rights (id,description) VALUES (34,'reqmgrsystem_view');

/* update rights on admin role */
INSERT INTO /*prefix*/role_rights (role_id,right_id) VALUES (8,33);
INSERT INTO /*prefix*/role_rights (role_id,right_id) VALUES (8,34);
(0018892)
fman (administrator)
2013-05-06 18:38

INSERT INTO /*prefix*/rights (id,description) VALUES (35,'exec_edit_notes');
INSERT INTO /*prefix*/rights (id,description) VALUES (36,'exec_delete');
INSERT INTO /*prefix*/rights (id,description) VALUES (37,'testplan_unlink_executed_testcases');
INSERT INTO /*prefix*/rights (id,description) VALUES (38,'testproject_delete_executed_testcases');
INSERT INTO /*prefix*/rights (id,description) VALUES (39,'testproject_edit_executed_testcases');

you have to get latest code from repository
(0019758)
rkumar83 (reporter)
2013-10-05 08:03

I inserted the new entries to DB, and i checked the boxes to edit and delete executed testcases on user rights GUI. But, when i try to delete a test case, i still get "Your role has no right to delete executed test cases or test case versions". Editing works fine.

user role rights are also set in DB.
INSERT INTO /*prefix*/role_rights (role_id,right_id) VALUES (8,39);
INSERT INTO /*prefix*/role_rights (role_id,right_id) VALUES (8,38);

INSERT INTO /*prefix*/rights (id,description) VALUES (35,'exec_edit_notes');
INSERT INTO /*prefix*/rights (id,description) VALUES (36,'exec_delete');
INSERT INTO /*prefix*/rights (id,description) VALUES (37,'testplan_unlink_executed_testcases');
INSERT INTO /*prefix*/rights (id,description) VALUES (38,'testproject_delete_executed_testcases');
INSERT INTO /*prefix*/rights (id,description) VALUES (39,'testproject_edit_executed_testcases');

Am i missing something here?
(0019759)
rkumar83 (reporter)
2013-10-05 09:05

Am using 1.9.8 version with mysql DB
(0019760)
fman (administrator)
2013-10-05 09:09

information is incompleted, there is no indication of role used.
Please provide a detailed test case (go to www.teamst.org if you need details about level of details requested), with step by step, expected results and actual results.
(0019761)
rkumar83 (reporter)
2013-10-05 10:16

I tried for admin role.

steps:
1) Inserted the DB records as you specified in this bug for "rights" table.

2) goto testlink users/roles GUI and check the boxes "delete executed test cases" and "edit executed test cases"

3) DB is updated with "role_rights" for admin role with below records

| 8 | 38 |
| 8 | 39 |

4) In test specification, pick up any testcase thats already executed and try deleting it.

Actual result: Your role has no right to delete executed test cases or test case versions, i get this error.



Infact, i tried with other user login (QA LEAD) as well, with the permissions assigned. But, i get the same error.
| 9| 38 |
| 9| 39 |


Am sure, this is something to do with user permissions. I checked the DB records and the permissions, everything looks good on that side. But i still get this error when i try to delete only those testcases thats already executed.

Any thoughts?
(0019762)
fman (administrator)
2013-10-05 10:21

get latest code from gitorious, do fresh install and retest
(0019763)
rkumar83 (reporter)
2013-10-05 10:24

are you referring to 1.9.8?
(0019764)
fman (administrator)
2013-10-05 10:27

latest code contains all fixes already produced for latest OFFICIAL RELEASE (1.9.8)
Each time you get an error the right procedure to follow is check the CONTAINER ISSUE Available fixes.
(0019765)
rkumar83 (reporter)
2013-10-05 10:32

could you please give me the link to what you referring as "CONTAINER ISSUE Available fixes"
(0019767)
rkumar83 (reporter)
2013-10-05 10:58

i got the latest code from git, let me try on that
(0019768)
rkumar83 (reporter)
2013-10-05 11:10

I just tried, its fixed in the latest code. But, how do i get the patch fix only for this issue in 1.9.8?
(0019769)
fman (administrator)
2013-10-05 11:15

If there is no an specific ticket that point to the issue, you can not understand changes to be done, and the you have to get all changes.
(0020070)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2012-10-27 17:17 fman New Issue
2012-10-27 17:17 fman Status new => assigned
2012-10-27 17:17 fman Assigned To => fman
2012-10-27 17:17 fman Issue generated from: 0005310
2012-10-27 17:17 fman Relationship added related to 0005310
2012-10-27 17:18 fman Description Updated View Revisions
2013-05-06 15:45 chemchoum Note Added: 0018884
2013-05-06 15:49 fman Note Added: 0018885
2013-05-06 17:13 chemchoum Note Added: 0018886
2013-05-06 18:38 fman Note Added: 0018892
2013-10-05 08:03 rkumar83 Note Added: 0019758
2013-10-05 09:05 rkumar83 Note Added: 0019759
2013-10-05 09:09 fman Note Added: 0019760
2013-10-05 10:16 rkumar83 Note Added: 0019761
2013-10-05 10:21 fman Note Added: 0019762
2013-10-05 10:24 rkumar83 Note Added: 0019763
2013-10-05 10:27 fman Note Added: 0019764
2013-10-05 10:32 rkumar83 Note Added: 0019765
2013-10-05 10:36 fman Status assigned => feedback
2013-10-05 10:58 rkumar83 Note Added: 0019767
2013-10-05 11:10 rkumar83 Note Added: 0019768
2013-10-05 11:15 fman Note Added: 0019769
2013-10-05 11:15 fman Status feedback => assigned
2013-10-05 11:15 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-10-05 11:15 fman Status assigned => resolved
2013-10-05 11:15 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-10-05 11:15 fman Resolution open => fixed
2013-11-17 09:53 fman Note Added: 0020070
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker